Skip to main content
GET
/
v1
/
customers
/
{id}
/
payment_methods
List a customer's payment methods
curl --request GET \
  --url https://api.withflex.com/v1/customers/{id}/payment_methods \
  --header 'Authorization: Bearer <token>'
{
  "payment_methods": [
    {
      "payment_method_id": "fpm_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
      "billing_details": {},
      "metadata": {
        "order_id": "8842",
        "channel": "shopify"
      },
      "card": {},
      "created_at": "2026-06-15T14:30:00Z",
      "test_mode": false,
      "off_session": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Use a Bearer token to access this API.

Path Parameters

id
string
required
Example:

"fcus_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

Query Parameters

limit
integer<int32> | null

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

Example:

10

offset
integer<int32> | null

Number of objects to skip before returning results.

Example:

3

Response

Success

An envelope wrapping a list of payment method objects.

payment_methods
object[]
required

The list of payment methods.